# Uses of Enum Class
org.apache.sysds.hops.codegen.SpoofCompiler.GeneratorAPI

Packages that use SpoofCompiler.GeneratorAPI
Package
Description
org.apache.sysds.hops.codegen
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.lops

## Uses of SpoofCompiler.GeneratorAPI in org.apache.sysds.hops.codegen

Fields in org.apache.sysds.hops.codegen declared as SpoofCompiler.GeneratorAPI
Modifier and Type
Field
Description
`static SpoofCompiler.GeneratorAPI`
SpoofCompiler.`API`
Fields in org.apache.sysds.hops.codegen with type parameters of type SpoofCompiler.GeneratorAPI
Modifier and Type
Field
Description
`static HashMap<SpoofCompiler.GeneratorAPI,Long>`
SpoofCompiler.`native_contexts`
Methods in org.apache.sysds.hops.codegen that return SpoofCompiler.GeneratorAPI
Modifier and Type
Method
Description
`static SpoofCompiler.GeneratorAPI`
SpoofCompiler.GeneratorAPI.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofCompiler.GeneratorAPI[]`
SpoofCompiler.GeneratorAPI.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.hops.codegen with parameters of type SpoofCompiler.GeneratorAPI
Modifier and Type
Method
Description
`static void`
SpoofCompiler.`loadNativeCodeGenerator(SpoofCompiler.GeneratorAPI generator)`
Constructors in org.apache.sysds.hops.codegen with parameters of type SpoofCompiler.GeneratorAPI
Modifier
Constructor
Description
``
`SpoofFusedOp(String name, Types.DataType dt, Types.ValueType vt, Class<?> cla, SpoofCompiler.GeneratorAPI api, String genVarName, boolean dist, SpoofFusedOp.SpoofOutputDimsType type)`

## Uses of SpoofCompiler.GeneratorAPI in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return SpoofCompiler.GeneratorAPI
Modifier and Type
Method
Description
`SpoofCompiler.GeneratorAPI`
CNodeTpl.`getGeneratorAPI()`
Methods in org.apache.sysds.hops.codegen.cplan with parameters of type SpoofCompiler.GeneratorAPI
Modifier and Type
Method
Description
`abstract String`
CNode.`codegen(boolean sparse, SpoofCompiler.GeneratorAPI api)`
`String`
CNodeBinary.`codegen(boolean sparse, SpoofCompiler.GeneratorAPI api)`
`String`
CNodeCell.`codegen(boolean sparse, SpoofCompiler.GeneratorAPI _api)`
`String`
CNodeData.`codegen(boolean sparse, SpoofCompiler.GeneratorAPI api)`
`String`
CNodeMultiAgg.`codegen(boolean sparse, SpoofCompiler.GeneratorAPI api)`
`String`
CNodeNary.`codegen(boolean sparse, SpoofCompiler.GeneratorAPI api)`
`String`
CNodeOuterProduct.`codegen(boolean sparse, SpoofCompiler.GeneratorAPI api)`
`String`
CNodeRow.`codegen(boolean sparse, SpoofCompiler.GeneratorAPI _api)`
`String`
CNodeTernary.`codegen(boolean sparse, SpoofCompiler.GeneratorAPI api)`
`String`
CNodeUnary.`codegen(boolean sparse, SpoofCompiler.GeneratorAPI api)`
`int`
CNodeCell.`compile(SpoofCompiler.GeneratorAPI api, String src)`
`int`
CNodeMultiAgg.`compile(SpoofCompiler.GeneratorAPI api, String src)`
`int`
CNodeOuterProduct.`compile(SpoofCompiler.GeneratorAPI api, String src)`
`int`
CNodeRow.`compile(SpoofCompiler.GeneratorAPI api, String src)`
`abstract int`
CNodeTpl.`compile(SpoofCompiler.GeneratorAPI api, String src)`
`String`
CNodeNary.NaryType.`getTemplate(boolean sparseGen, long len, ArrayList<CNode> inputs, SpoofCompiler.GeneratorAPI api)`
`String`
CNode.`getVarname(SpoofCompiler.GeneratorAPI api)`
`String`
CNodeData.`getVarname(SpoofCompiler.GeneratorAPI api)`
`String`
CNode.`getVectorLength(SpoofCompiler.GeneratorAPI api)`
`abstract boolean`
CNode.`isSupported(SpoofCompiler.GeneratorAPI api)`
`boolean`
CNodeBinary.`isSupported(SpoofCompiler.GeneratorAPI api)`
`boolean`
CNodeCell.`isSupported(SpoofCompiler.GeneratorAPI api)`
`boolean`
CNodeData.`isSupported(SpoofCompiler.GeneratorAPI api)`
`boolean`
CNodeMultiAgg.`isSupported(SpoofCompiler.GeneratorAPI api)`
`boolean`
CNodeNary.`isSupported(SpoofCompiler.GeneratorAPI api)`
`boolean`
CNodeOuterProduct.`isSupported(SpoofCompiler.GeneratorAPI api)`
`boolean`
CNodeRow.`isSupported(SpoofCompiler.GeneratorAPI api)`
`boolean`
CNodeTernary.`isSupported(SpoofCompiler.GeneratorAPI api)`
`boolean`
CNodeUnary.`isSupported(SpoofCompiler.GeneratorAPI api)`
`void`
CNodeTpl.`setGeneratorAPI(SpoofCompiler.GeneratorAPI _api)`

## Uses of SpoofCompiler.GeneratorAPI in org.apache.sysds.lops

Constructors in org.apache.sysds.lops with parameters of type SpoofCompiler.GeneratorAPI
Modifier
Constructor
Description
``
`SpoofFused(ArrayList<Lop> inputs, Types.DataType dt, Types.ValueType vt, Class<?> cla, SpoofCompiler.GeneratorAPI api, String genVarName, int k, Types.ExecType etype)`